<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_2</title>
</head>
<body>
    <h1>Capitulo 2</h1>
    <a>Ejercicio 2</a>

    <script>

let head;

class Node {
    constructor(val) {
        this.data = val;
        this.next = null;
    }
}

//Función largo de la lista
function elementoK(k) {
    var ptr1 = null,
        cont = 1;
        ptr1 = head;

    while (ptr1 !== null && ptr1.next !== null) {
        if (cont === k) {
            return console.log(`En la posicion ${k} esta el elemento: ${ptr1.data}`);
        } else {
            cont++;
        }
        ptr1 = ptr1.next;
    }
}

function imprimirList(node) {
    while (node !== null) {
        console.log( node.data + " ");
        node = node.next
    }
}

head = new Node(5);
head.next = new Node(1);
head.next.next = new Node(8);
head.next.next.next = new Node(3);
head.next.next.next.next = new Node(7);
head.next.next.next.next.next = new Node(9);
head.next.next.next.next.next.next = new Node(10);

console.log("La lista de nodos es: ")
imprimirList(head);
elementoK(5);



    </script>
    
</body>
</html>